Initialization/Shutdown
3
GNOME-VFS-2.0 Library

# Initialization/Shutdown

## Synopsis

    gboolean            gnome_vfs_init                      (void);
    gboolean            gnome_vfs_initialized               (void);
    void                gnome_vfs_shutdown                  (void);
    void                gnome_vfs_loadinit                  (gpointer app,
                                                             gpointer modinfo);
    void                gnome_vfs_preinit                   (gpointer app,
                                                             gpointer modinfo);
    void                gnome_vfs_postinit                  (gpointer app,
                                                             gpointer modinfo);

## Description

Starting GnomeVFS up and shutting it down. Usually when using the whole GNOME framework this library is initialized and shutdown automatically when calling gnome_init.

## Details

### gnome_vfs_init ()

    gboolean            gnome_vfs_init                      (void);

If gnome-vfs is not already initialized, initialize it. This must be called prior to performing any other gnome-vfs operations, and may be called multiple times without error.

Returns :

  `TRUE` if gnome-vfs is successfully initialized (or was already initialized).

### gnome_vfs_initialized ()

    gboolean            gnome_vfs_initialized               (void);

Detects if gnome-vfs has already been initialized (gnome-vfs must be initialized prior to using any methods or operations).

Returns :

  `TRUE` if gnome-vfs has already been initialized.

### gnome_vfs_shutdown ()

    void                gnome_vfs_shutdown                  (void);

Cease all active gnome-vfs operations and unload the MIME database from memory.

### gnome_vfs_loadinit ()

    void                gnome_vfs_loadinit                  (gpointer app,
                                                             gpointer modinfo);

`gnome_vfs_loadinit` is deprecated and should not be used in newly-written code.

`app` :

`modinfo` :

### gnome_vfs_preinit ()

    void                gnome_vfs_preinit                   (gpointer app,
                                                             gpointer modinfo);

`gnome_vfs_preinit` is deprecated and should not be used in newly-written code.

`app` :

`modinfo` :

### gnome_vfs_postinit ()

    void                gnome_vfs_postinit                  (gpointer app,
                                                             gpointer modinfo);

`gnome_vfs_postinit` is deprecated and should not be used in newly-written code.

`app` :

`modinfo` :